#! /bin/sh

cat <<EOF > keycode
00
0e
16
1e
26
25
2e
36
3d
3e
46
45
4e
55
6a
66
0d
15
1d
24
2d
2c
35
3c
43
44
4d
54
5b
5d
58
1c
1b
23
2b
34
33
3b
42
4b
4c
52
5d
5a
12
61
1a
22
21
2a
32
31
3a
41
49
4a
51
59
14
00
11
29
e011
00
e014
00
00
00
00
00
00
00
00
00
00
00
00
00
00
00
00
00
00
00
77
6c
6b
69
75
73
72
70
7c
7d
74
7a
71
7b
79
e05a
76
05
06
04
0c
03
0b
83
0a
01
09
78
07
7e
67
64
13
EOF

tail +6 us.unix.kbd | sed -e "s/' '/SPC/g" -e 's/debug/NOP/g' -e 's/del/DEL/g'|
	sed -e "s/'\\\\'/0x5c/"g -e "s/'''/0x27/g" |
paste keycode -  |
	awk '{printf "    {%3d, 0x%s, {%4s, %4s, %4s, %4s, %4s, %4s, %4s, %4s}, LOCK_%s},\n", NR-1, $1, $3, $4, $5, $6, $7, $8, $9, $10, $11}' |
	sed -e 's/nop/NOP/g' -e 's/clock/CAPS/g' -e 's/lctrl/LCTL/g' |
	sed -e 's/rctrl/RCTL/g' -e 's/lshift/LSFT/g' -e 's/rshift/RSFT/g' |
	sed -e 's/btab/ BTB/g' -e 's/lalt/LALT/g' -e 's/susp/ NOP/g' |
	sed -e 's/ralt/RALT/g'|
    sed -e 's/nul/NUL/g' -e 's/soh/SOH/g' -e 's/stx/STX/g' -e 's/etx/ETX/g' |
    sed -e 's/eot/EOT/g' -e 's/enq/ENQ/g' -e 's/ack/ACK/g' -e 's/bel/BEL/g' |
    sed -e 's/bs/BS/g' -e 's/ht/HT/g' -e 's/nl/NL/g' -e 's/vt/VT/g' |
    sed -e 's/np/NP/g' -e 's/ff/NP/g' -e 's/cr/CR/g' -e 's/so/SO/g' -e 's/si/SI/g' |
    sed -e 's/dle/DLE/g' -e 's/dc1/DC1/g' -e 's/dc2/DC2/g' -e 's/dc3/DC3/g' |
    sed -e 's/dc4/DC4/g' -e 's/nak/NAK/g' -e 's/syn/SYN/g' -e 's/etb/ETB/g' |
    sed -e 's/can/CAN/g' -e 's/em/EM/g' -e 's/sub/SUB/g' -e 's/esc/ESC/g' |
    sed -e 's/fs/FS/g' -e 's/gs/GS/g' -e 's/rs/RS/g' -e 's/us/US/g' |
    sed -e 's/LOCK_O/L_NONE/' -e 's/LOCK_C/L_CAPS/' |
	head -65


